[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.CheckRawMode

Ensures that RawMode contains the specified value.

## Declaration

Source position: printers.pas line 301

`protected procedure TPrinter.CheckRawMode(`
`const Value: Boolean;`
`Msg: string = ''`
`);`

## Arguments

`Value` |  | Value required in the RawMode property.
`Msg` |  | Message text for an exception raised in the method.

## Description

CheckRawMode is a procedure used to ensure that the RawMode property contains the specified Value. If RawMode does not have the requested value, an EPrinter exception is raised. Msg contains the message text for the exception. When Msg is not specified, or contains an empty string (''), a default message is used:

Value is True
  Msg contains 'Printer is in Raw Mode'
Value is False
  Msg contains 'Printer is not in Raw Mode'

CheckRawMode is called when getting the value for the Canvas property.

## Errors

Raises an EPrinter exception when RawMode does not contain the required value.

## See also

TPrinter.RawMode |  | Indicates if raw output is used for the device (as opposed to a page description language).
TPrinter.Canvas |  | The Canvas to be used for laying out the current document ready for printing.
EPrinter |  | Exception raised for errors in TPrinter methods.